package com.mortals.xhx.daemon.applicationservice;

import com.mortals.framework.springcloud.service.IApplicationStartedService;
import com.mortals.xhx.swing.MyTray;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;


@Component
@Slf4j
public class DemoStartedService implements IApplicationStartedService {

    @Value("${siteconfig.configpath:F:\\\\config.prop}")
    String filePath;

    @Value("${siteconfig.url:http://192.168.0.98:11091}")
    String siteUrl;

    @Override
    public void start() {
        log.info("开始服务..");

        String path = System.getProperty("user.dir");

        log.info("当前路径:{}", path);

        String display = System.getenv("DISPLAY");

        log.info("display:{}",display);

        String osName = System.getProperty("os.name");

        log.info("osName:{}",osName);

        //MyTray.getInstance().SystemTrayInitial(filePath,siteUrl);
        log.info("filePath:{}",filePath);
        log.info("siteUrl:{}",siteUrl);
//        SetWindow.getInstance().initWindow(filePath,siteUrl);

        log.info("初始化托盘完成！");

    }

    @Override
    public void stop() {
        log.info("停止服务..");
    }

    @Override
    public int getOrder() {
        return 10;
    }

}
